<!DOCTYPE html>
<html lang="en">

<!---Cabecera del documento-->

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!---Cargar hoja de estilo-->
    <link rel="stylesheet" href="style.css">
    <title>Futurama v1</title>
    <!----Implementación de bootstrap por CDN----->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-F3w7mX95PdgyTmZZMECAngseQB83DfGTowi0iMjiWaeVhAn4FJkqJByhZMI3AhiU" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-/bQdsTh/da6pkI1MST/rWKFNjaCP5gBSY4sEBT38Q/9RBh9AH40zEOg7Hlq2THRZ"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"
        integrity="sha384-W8fXfP3gkOKtndU4JGtKDvXbO53Wy8SZCQHczT5FMiiqmQfUpWbYdTil/SxwZgAN"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.1/dist/js/bootstrap.min.js"
        integrity="sha384-skAcpIdS7UcVUC05LJ9Dxay8AXcDYfBJqt1CJ85S/CFujBsIzCIv+l9liuYLaMQ/"
        crossorigin="anonymous"></script>

    <!-------Cargamos nuestro fichero javaScript----->
    <script src="functions.js">
    </script>
    <!---Llamar la función para cargar los personajes-->
    <script>
        cargarPersonajes();
    </script>
</head>

<!---Cuerpo del documento-->

<body>

    <!-------Filtro---->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">Navbar</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="#" onclick="cargarPersonajes()">Cargar personajes</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">Link</a>
                    </li>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                            data-bs-toggle="dropdown" aria-expanded="false">
                            Dropdown
                        </a>
                        <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <li><a class="dropdown-item" href="#">Action</a></li>
                            <li><a class="dropdown-item" href="#">Another action</a></li>
                            <li>
                                <hr class="dropdown-divider">
                            </li>
                            <li><a class="dropdown-item" href="#">Something else here</a></li>
                        </ul>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link disabled">Disabled</a>
                    </li>
                </ul>
                <form class="d-flex">
                    <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
                    <button class="btn btn-outline-success" type="submit">Search</button>
                </form>
            </div>
        </div>
    </nav>

    <!----Cabecera---->
    <div id="cabecera">
        <!------Contenedor para las texto----->
        <div id="contTexto">
            <!--<h1>Futurama</h1>-->
            <span id="titulo">Futurama</span>
            <br>
            <label>Consulta los personajes</label>
        </div>

        <!---Contenedor para la imagen---->
        <div id="contImg">
            <img class="flotar" src="https://res.cloudinary.com/dzxqhkyqd/image/upload/v1554871230/planet-express.png">
        </div>

    </div>

    <!-----Cuerpo----->
    <div id="cuerpo">
        <!-----Tarjeta que representa un personaje----->
        <div class="card personajeFuturama" style="width: 18rem;">
            <img id="imgFuturama" src="https://vignette.wikia.nocookie.net/en.futurama/images/0/0d/Hermes.png/revision/latest?cb=20170719011119" class="card-img-top imgPersonaje" alt="imagen1">
            <div class="card-body">
              <h5 class="card-title">Dandy Jim</h5>
              <label>Profesión: --</label>
              <br>
              <label>Especie: --</label>
              <br>
              <label>Planeta: --</label>
              <br>
              <button type="button" class="btn btn-outline-danger" onclick="eliminar()">Eliminar</button>
              &nbsp;
              <button type="button" class="btn btn-outline-primary" onclick="editar()">Editar</button>
            </div>
          </div>
    </div>

</body>


</html>